package cn.sh.stc.sict.cloud.common.security.config;

import cn.hutool.core.util.ObjectUtil;
import cn.sh.stc.sict.cloud.common.core.util.NumberUtil;
import lombok.Data;
import org.springframework.boot.autoconfigure.condition.ConditionalOnExpression;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

/**
 * 用户账号 配置属性
 */
@Data
@Component
@RefreshScope
@ConditionalOnExpression("!'${user}'.isEmpty()")
@ConfigurationProperties(prefix = "user.account")
public class UserAccountProperties {
    private Boolean limitFlag;
    private Long limitCount;
    private Long limitTime;

    public Boolean getLimitFlag() {
        return !ObjectUtil.isNull(this.limitFlag) && this.limitFlag;
    }

    public Long getLimitCount(){
        return NumberUtil.isNullOrZero(this.limitCount) ? 5L : this.limitCount;
    }

    public Long getLimitTime() {
        return NumberUtil.isNullOrZero(this.limitTime) ? 30L : this.limitTime;
    }
}
