package cn.sh.stc.sict.cloud.common.security.exception;

import cn.sh.stc.sict.cloud.common.core.util.NumberUtil;
import cn.sh.stc.sict.cloud.common.security.component.SictAuth2ExceptionSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.springframework.http.HttpStatus;

/**
 * @author F_xh
 * @date 2018/7/8
 */
@JsonSerialize(using = SictAuth2ExceptionSerializer.class)
public class UnauthorizedException extends SictAuth2Exception {
    private Integer httpErrorCode;

    public UnauthorizedException(String msg, Throwable t) {
        super(msg);
    }

    public UnauthorizedException(String msg, Throwable t, Integer httpErrorCode) {
        super(msg);
        this.httpErrorCode = httpErrorCode;
    }

    @Override
    public String getOAuth2ErrorCode() {
        return "unauthorized";
    }

    @Override
    public int getHttpErrorCode() {
        return NumberUtil.isNullOrZero(this.httpErrorCode) ? HttpStatus.UNAUTHORIZED.value() : this.httpErrorCode;
    }

}
